﻿using System;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void OnInsert(object sender, EventArgs e)
    {
        int customerId;
        string spName = "Customers_InsertCustomer";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(spName))
            {
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.AddWithValue("@Name", txtName.Text);
                cmd.Parameters.AddWithValue("@Country", ddlCountries.SelectedItem.Text);
                cmd.Connection = con;
                con.Open();
                customerId = Convert.ToInt32(cmd.ExecuteScalar());
                con.Close();
            }
        }
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Inserted Customer ID: " + customerId + "');", true);
    }
}